Package ipfs.gomobile.android.bledriver

## Class Scanner

- java.lang.Object
- - android.bluetooth.le.ScanCallback
  - - ipfs.gomobile.android.bledriver.Scanner

-     public class Scanner
      extends android.bluetooth.le.ScanCallback

- - ### Field Summary

    - ### Fields inherited from class android.bluetooth.le.ScanCallback

      `SCAN_FAILED_ALREADY_STARTED, SCAN_FAILED_APPLICATION_REGISTRATION_FAILED, SCAN_FAILED_FEATURE_UNSUPPORTED, SCAN_FAILED_INTERNAL_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Scanner​(android.content.Context context, BleDriver bleDriver, Logger logger, android.bluetooth.BluetoothAdapter bluetoothAdapter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getScannerState()` |
    `boolean` | `isInit()` |
    `void` | `onBatchScanResults​(java.util.List<android.bluetooth.le.ScanResult> results)` |
    `void` | `onScanFailed​(int errorCode)` |
    `void` | `onScanResult​(int callbackType, android.bluetooth.le.ScanResult result)` |
    `boolean` | `start​(java.lang.String localPID)` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scanner

          public Scanner​(android.content.Context context,
                         BleDriver bleDriver,
                         Logger logger,
                         android.bluetooth.BluetoothAdapter bluetoothAdapter)

  - ### Method Detail

    - #### isInit

          public boolean isInit()

    - #### start

          public boolean start​(java.lang.String localPID)

    - #### stop

          public void stop()

    - #### getScannerState

          public int getScannerState()

    - #### onScanFailed

          public void onScanFailed​(int errorCode)

      Overrides:
        `onScanFailed` in class `android.bluetooth.le.ScanCallback`

    - #### onScanResult

          public void onScanResult​(int callbackType,
                                   android.bluetooth.le.ScanResult result)

      Overrides:
        `onScanResult` in class `android.bluetooth.le.ScanCallback`

    - #### onBatchScanResults

          public void onBatchScanResults​(java.util.List<android.bluetooth.le.ScanResult> results)

      Overrides:
        `onBatchScanResults` in class `android.bluetooth.le.ScanCallback`